import sys
import os

if len(sys.argv) != 3:
	print "Usage : infile outfile"
	exit(1)

infile = open(sys.argv[1], "r")
outfile = open(sys.argv[2], "w")

header = "est_name;est_length;coverage_length;ordered_coverage_length;"

maximum_tuples = 0
while True:
	line = infile.readline()
	fields = line.split(";")
	tuples = len(fields)-4
	maximum_tuples = max(tuples, maximum_tuples)
	if len(line) == 0:
		break
	if len(fields) < 5:
		print ("No tuples for " + fields[0] + "\n")

for i in range(0, maximum_tuples):
	header += "tuple " + str(i) + ";"
header += '\n'
outfile.write(header)
infile.close()
outfile.close()
os.system("cat " + sys.argv[1] + " >> " + sys.argv[2])


