#!/bin/bash
REPOSITORY_PATH=${1}
REVISION_FILE=${2}
VERSION_CPP_SOURCE=${3}
VERSION_CPP_BINARY=${4}
SVN_REVISION=`svnversion -n ${REPOSITORY_PATH}`
OLD_SVN_REVISION=`<${REVISION_FILE}`

if [ "${SVN_REVISION}" != "${OLD_SVN_REVISION}" ] ; then
    sed -e "s/\$SvnRevision\$*/${SVN_REVISION}/g" ${VERSION_CPP_SOURCE} > ${VERSION_CPP_BINARY}
    echo ${SVN_REVISION} > ${REVISION_FILE}
fi

