#include <iostream>
#include <string>
#include <fstream>
#include <stdint.h>



int main(int argc, char** argv)
{
	if(argc!=2)
		return -1;

	std::ifstream est_file(argv[1]);
	if(!est_file)
	{
		std::cerr << "FAILED TO OPEN " << argv[1] << '\n';
		return -1;
	}
	while(est_file)
	{
		uint64_t estlength = 0;
		std::string temp;
		getline(est_file, temp);
		std::cout << temp.substr(1) << ';';
		while(est_file.peek()!='>')
		{
			getline(est_file, temp);
			if(est_file)
				estlength += temp.length();
			else break;
		}
		std::cout << estlength << '\n';
	}

}
