THISDIR="$(cd -P "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

python ${THISDIR}/filter_extra_alignments.py $1 ${1}_tmp1
python ${THISDIR}/add_coverage_header.py ${1}_tmp1 ${1}_tmp2

echo "cov <- read.table(\"${1}_tmp2\", sep=\";\", header=T, fill=T);png(\"${2}.png\", width=1024, height=1024, pointsize=20);hist(cov\$ordered_coverage_length/cov\$est_length, main=\"Ordered coverage of ESTs vs. scaffolds\", labels=T, xlab=\"coverage\", ylab=\"number of ESTs (Total $3)\", ylim=c(0,$3));dev.off();png(\"${2}_unordered.png\", width=1024, height=1024, pointsize=20);hist(cov\$coverage_length/cov\$est_length, main=\"Coverage of ESTs vs. scaffolds\", labels=T, xlab=\"coverage\", ylab=\"number of ESTs (Total $3)\", ylim=c(0,$3));dev.off();" | R --quiet --no-save
rm ${1}_tmp1 ${1}_tmp2
